Bug 978997 - undefined local variable or method `paswd_lines'
undefined local variable or method `paswd_lines'
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-06-27 08:55 EDT by Marek Mahut
Modified: 2015-05-14 19:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-22 11:13:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2013-06-27 08:55:51 EDT
Recently a typo has been introducted into the oo-accept-node utility that is causing a naming error when used.

oo-accept-node returns:

/usr/sbin/oo-accept-node:417:in `block in check_cgroup_procs': undefined local variable or method `paswd_lines' for main:Object (NameError)
    from /usr/sbin/oo-accept-node:411:in `each'
    from /usr/sbin/oo-accept-node:411:in `check_cgroup_procs'
    from /usr/sbin/oo-accept-node:829:in `<main>'
Comment 1 Marek Mahut 2013-06-27 08:56:31 EDT
The pull request has been opened https://github.com/openshift/origin-server/pull/2949
Comment 2 chunchen 2013-07-02 02:18:48 EDT
It's fixed, verified on devenv_3434, please refer to the following results:

1. SSH into the instance and run "oo-accept-node" command
# oo-accept-node

Note You need to log in before you can comment on or make changes to this bug.